WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: Smart YouTube] version 2.1; html code problem (12 posts)

  1. Frank Goossens
    Member
    Posted 6 years ago #

    installed the newest version (2.1.1) just now, it appears the html-code is broken to some extend on line 416;
    * object tag isn't closed
    * ugly embed-code sneaked back in (resulting in broken xhtml-compliance)

    i ended up commenting line 416 and uncommenting 419, in which the 2 problems above do not occur.

  2. Vladimir Prelovac
    Member
    Posted 6 years ago #

    2.1.2 fixes the object tag, but the "ugly embed code" is youtube's own and I included it for compatibility with iphone. will try to sort it out to have best of both worlds.

  3. Frank Goossens
    Member
    Posted 6 years ago #

    if embed is absolutely necessary for iphone, it would be nice if blog-owners could switch iphone+embed off/on (or xhtml compliancy off/on) in the admin panel?

  4. ahpatel
    Member
    Posted 6 years ago #

    This is causing issues with IE6.

    With 2.1.x, I get an “Internet Explorer Cannot Open the Internet Site- Operation Aborted” Error. It does, however, work just fine with FF and Opera.

    I had to revert to 2.0.1 for now.

  5. Anonymous
    Unregistered
    Posted 6 years ago #

    This is an epitome a well coded program, simple yet intuitive and highly functional. These are the kind of programmers who get us closer to telepathic programming! :-)

  6. mabble
    Member
    Posted 6 years ago #

    I think this is also causing problems for my z-index and priority over iFrames.

    I have iFrames inserted before the object & embed tags, yet the youtube video is placed above my iframe that opens on the center of the screen. If this is unrelated, please advise where I could fix this. Thanks!

  7. Vladimir Prelovac
    Member
    Posted 6 years ago #

    The new versio address this issues and produces xHTML valid code while remaining compatible with iPhone.

  8. Frank Goossens
    Member
    Posted 5 years ago #

    just saw there's a 2.3 in which you can choose to turn off xhtml-compliancy because of compatibility issues? could you elaborate which browsers/ feedreaders have issues with the xhtml-valid version?

  9. moneyblog
    Member
    Posted 5 years ago #

    Please, can anyone help me ........

    I upgraded to 2.3.2 and the YouTube videos NOT work on my regular site
    http://www.afacereonline.ro

  10. smarsh
    Member
    Posted 5 years ago #

    Does anyone know if you can embed YouTube videos using this plugin (or any other method for that matter) that *both* play in iPhone Safari and validate as xhtml code?

    Can't seem to be able to do both simultaneously!

  11. marketlikeachick
    Member
    Posted 5 years ago #

    I am using Smart-YouTube and following the instructions to use the httpv. I also have tried several different settings both with xhtml validation and without. No matter what I do my feed will not validate! I get the following error:

    line 131, column 0: content:encoded should not contain object tag

    What am I doing wrong? How do I embed a you tube video without breaking my validation?

  12. marketlikeachick
    Member
    Posted 5 years ago #

    Is there no one out there that can help???

Topic Closed

This topic has been closed to new replies.

About this Topic